# MeshCreate

Creates a DM object, used to manage data for an unstructured problem described by a Sieve.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode PETSCDM_DLLEXPORT MeshCreate(MPI_Comm comm,Mesh *mesh)

Collective on MPI_Comm

### Input Parameter

comm -the processors that will share the global vector

### Output Parameters

mesh -the mesh object

### See Also

MeshDestroy(), MeshCreateGlobalVector(), MeshGetGlobalIndices()

Level:advanced
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex33.c.html